[ALF-19946] libz.so.1 should have version information Created: 05-Sep-13  Updated: 03-Sep-18  Resolved: 29-Jul-16

Status: Closed
Project: Alfresco
Component/s: ZZ_Archive
Affects Version/s: 4.2.c Community
Fix Version/s: None
Security Level: external (External user)

Type: Improvement Priority: Minor
Reporter: Rasmus Melgaard (Inactive) Assignee: Closed Issues
Resolution: Won't Fix Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified
Environment:

Ubuntu 13.04 x86_64


Date of First Response:
Resolution Time Custom Field: 151 weeks, 23 hours, 4 minutes, 52 seconds

 Description   

Using external programs for transformation used, but fails with required (by external libs) version information in shared library. The supplied libraries in the linux install (using installer) should have this included.

Error:
err: dia-gnome: /opt/alfresco/c42c-kmd/common/lib/libz.so.1: no version information available (required by /usr/lib/x86_64-linux-gnu/libxml2.so.2)

Full log:
2013-09-05 20:46:07,417 DEBUG [content.transform.TransformerDebug] [http-apr-8080-exec-1] 46.1 dia svg Copy of gentofte-platformen_koncept.dia 1.1 KB transformer.dia2svg<<Runtime>>
2013-09-05 20:46:07,436 DEBUG [content.transform.RuntimeExecutableContentTransformerWorker] [http-apr-8080-exec-1] Transformation completed:
source: ContentAccessor[ contentUrl=store://2013/9/5/15/26/00f24635-d94d-4cc4-8c5e-ecb5e0b6eefd.bin, mimetype=application/x-dia-diagram, size=1178, encoding=UTF-8, locale=en_US]
target: ContentAccessor[ contentUrl=store://2013/9/5/20/46/8ee220a4-ede3-453e-8e4c-dbaeb97e9ca4.bin, mimetype=image/svg+xml, size=0, encoding=UTF-8, locale=en_US]
options: ImageTransformationOptions [commandOptions=, resizeOptions=ImageResizeOptions [width=100, height=100, maintainAspectRatio=true, percentResize=false, resizeToThumbnail=false, allowEnlargement=true], cropOptions=null, autoOrient=true]
result:
Execution result:
os: Linux
command: /usr/bin/dia "-n --nonew -t dia" /opt/alfresco/c42c-kmd/tomcat/temp/Alfresco/RuntimeExecutableContentTransformerWorker_source_1761203533575693654.dia "-e /opt/alfresco/c42c-kmd/tomcat/temp/Alfresco/RuntimeExecutableContentTransformerWorker_target_4583628939691606717.svg"
succeeded: true
exit code: 127
out:
err: dia-gnome: /opt/alfresco/c42c-kmd/common/lib/libz.so.1: no version information available (required by /usr/lib/x86_64-linux-gnu/libxml2.so.2)
dia-gnome: /opt/alfresco/c42c-kmd/common/lib/libz.so.1: no version information available (required by /usdia-gnome: /opt/alfresco/c42c-kmd/common/lib/libz.so.1: no version information available r/l
2013-09-05 20:46:07,436 DEBUG [content.transform.TransformerLog] [http-apr-8080-exec-1] 46 dia svg INFO Copy of gentofte-platformen_koncept.dia 1.1 KB transformer.dia2svg<<Runtime>> 19 ms
2013-09-05 20:46:07,437 TRACE [content.transform.TransformerDebug] [http-apr-8080-exec-1] 46.1 Finished in 19 ms
2013-09-05 20:46:07,437 DEBUG [content.transform.AbstractContentTransformer2] [http-apr-8080-exec-1] Completed transformation:
reader: ContentAccessor[ contentUrl=store://2013/9/5/15/26/00f24635-d94d-4cc4-8c5e-ecb5e0b6eefd.bin, mimetype=application/x-dia-diagram, size=1178, encoding=UTF-8, locale=en_US]
writer: ContentAccessor[ contentUrl=store://2013/9/5/20/46/8ee220a4-ede3-453e-8e4c-dbaeb97e9ca4.bin, mimetype=image/svg+xml, size=0, encoding=UTF-8, locale=en_US]
options: ImageTransformationOptions [commandOptions=, resizeOptions=ImageResizeOptions [width=100, height=100, maintainAspectRatio=true, percentResize=false, resizeToThumbnail=false, allowEnlargement=true], cropOptions=null, autoOrient=true]
transformer: ProxyContentTransformer[ average=39ms]
2013-09-05 20:46:07,437 DEBUG [content.transform.TransformerDebug] [http-apr-8080-exec-1] 46 Finished in 22 ms



 Comments   
Comment by Rasmus Melgaard (Inactive) [ 26-Nov-13 ]

Workaround: make shell script, which unsets LD path

...

#points to Alfresco commons lib
unset LD_LIBRARY_PATH

Comment by Richard Esplin [X] (Inactive) [ 29-Jul-16 ]

This issue was reported against an old version of Alfresco Community Edition.

Alfresco Community Edition 201605 GA contains Alfresco Platform 5.1.g and Alfresco Share 5.1.f. This release includes many improvements that address old problems. We are closing old issues so that we can better prioritize our efforts.

If you verify that the issue still exists in the latest release of Alfresco Community Edition, please reopen the issue. If you have any trouble reopening the issue, then leave a comment or email us at community@alfresco.com so that we can assist.

Thank you for collaborating with us on improving Alfresco.

Comment by Derek Hulley [X] (Inactive) [ 03-Sep-18 ]

Moving out of "Build" to archive on 20180903.

Generated at Tue Jul 07 05:25:40 BST 2020 using JIRA 7.6.3#76005-sha1:8a4e38d34af948780dbf52044e7aafb13a7cae58.